Bug 433352 - kernel panic crashes machine
kernel panic crashes machine
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-18 15:13 EST by D Byrne
Modified: 2011-11-03 13:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-03 13:28:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D Byrne 2008-02-18 15:13:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.12) Gecko/20080201 Red Hat/1.5.0.12-0.10.el4 Firefox/1.5.0.12 pango-text

Description of problem:
Feb 17 11:27:44 erica kernel: kernel BUG at include/asm/spinlock.h:146!
Feb 17 11:27:44 erica kernel: invalid operand: 0000 [#1]
Feb 17 11:27:44 erica kernel: SMP
Feb 17 11:27:44 erica kernel: Modules linked in: loop nvidia(U) nfsd exportfs md5 ipv6 parport_pc lp parport autofs4 i2\
c_dev i2c_core joydev nfs lockd nfs_acl sunrpc ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables dm_mirror dm_\
mod button battery ac usb_storage ohci1394(U) ieee1394(U) uhci_hcd ehci_hcd hw_random snd_intel8x0 snd_ac97_codec snd_p\
cm_oss snd_mixer_oss snd_pcm snd_timer snd_page_alloc snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore e1000 fl\
oppy ext3 jbd ata_piix libata aic79xx sd_mod scsi_mod
Feb 17 11:27:44 erica kernel: CPU:    0
Feb 17 11:27:44 erica kernel: EIP:    0060:[<c02d4c8f>]    Tainted: P      VLI
Feb 17 11:27:44 erica kernel: EFLAGS: 00010016   (2.6.9-55.0.2.ELsmp)
Feb 17 11:27:44 erica kernel: EIP is at _spin_lock_irqsave+0x20/0x45
Feb 17 11:27:44 erica kernel: eax: c02d349f   ebx: 00000246   ecx: c02e8693   edx: c02e8693
Feb 17 11:27:44 erica kernel: esi: f9ec4820   edi: cdde8eb4   ebp: ef95abb0   esp: cdde8e94
Feb 17 11:27:44 erica kernel: ds: 007b   es: 007b   ss: 0068
Feb 17 11:27:44 erica kernel: Process grep (pid: 23029, threadinfo=cdde8000 task=ef95abb0)
Feb 17 11:27:44 erica kernel: Stack: f9ec4818 f9ec4750 c02d349f 00000000 ef95abb0 c011e7cb 00000000 00000000
Feb 17 11:27:44 erica kernel:        000002d0 00000246 f7fff680 f9ec4818 f9ec4750 f9ec4750 00000006 c02d365c
Feb 17 11:27:44 erica kernel:        f9ec4818 cdde8000 00000000 f9d3c99a 00000000 f9d66ad0 00000006 c0162b5f
Feb 17 11:27:44 erica kernel: Call Trace:
Feb 17 11:27:45 erica kernel:  [<c02d349f>] __down+0x3b/0xdb
Feb 17 11:27:45 erica kernel:  [<c011e7cb>] default_wake_function+0x0/0xc
Feb 17 11:27:45 erica kernel:  [<c02d365c>] __down_failed+0x8/0xc
Feb 17 11:27:45 erica kernel:  [<f9d3c99a>] .text.lock.nv+0x19/0x10f [nvidia]
Feb 17 11:27:45 erica kernel:  [<c0162b5f>] exact_match+0x0/0x3
Feb 17 11:27:45 erica kernel:  [<c0162aa9>] chrdev_open+0x14c/0x187
Feb 17 11:27:45 erica kernel:  [<c015a6c9>] __dentry_open+0xb7/0x18f
Feb 17 11:27:45 erica kernel:  [<c015a5b0>] filp_open+0x5c/0x70
Feb 17 11:27:45 erica kernel:  [<c02d45ef>] __cond_resched+0x14/0x39
Feb 17 11:27:45 erica kernel:  [<c01c402a>] direct_strncpy_from_user+0x3e/0x5d
Feb 17 11:27:45 erica kernel:  [<c015a8f5>] sys_open+0x31/0x7d
Feb 17 11:27:45 erica kernel:  [<c02d6093>] syscall_call+0x7/0xb
Feb 17 11:27:45 erica kernel:  [<c02d007b>] unix_stream_sendmsg+0x227/0x33a
Feb 17 11:27:45 erica kernel: Code: 81 00 00 00 00 01 c3 f0 ff 00 c3 56 89 c6 53 9c 5b fa 81 78 04 ad 4e ad de 74 18 ff\
 74 24 08 68 93 86 2e c0 e8 65 dc e4 ff 59 58 <0f> 0b 92 00 fe 76 2e c0 f0 fe 0e 79 13 f7 c3 00 02 00 00 74 01
Feb 17 11:27:45 erica kernel:  <0>Fatal exception: panic in 5 seconds
Feb 18 14:47:33 erica syslogd 1.4.1: restart.


Version-Release number of selected component (if applicable):
vmlinuz-2.6.9-67.0.4.ELsmp

How reproducible:
Didn't try


Steps to Reproduce:
1. reboot machine


Actual Results:
It froze up

Expected Results:
It should have rebooted

Additional info:
Comment 1 Prarit Bhargava 2008-02-25 09:17:52 EST
dbyrne, we need a little bit more information -- can this issue be reproduced?

Also, did this happen while the system was idle, or during boot-up/reboot?
Comment 2 Eric Sandeen 2008-03-11 16:42:41 EDT
I see [nvidia] in that backtrace, and a tainted kernel... and the process was
grep.  Any idea what was being grepped at the time?
Comment 3 D Byrne 2008-03-11 21:33:47 EDT
> I see [nvidia] in that backtrace, and a tainted kernel... and the process was
> grep.  Any idea what was being grepped at the time?

No, the machine was simply rebooting after a power failure, so it was not
a user-level grep.  I have not tried manually rebooting to see if it is
reproducible, but I can if necessary.
Comment 4 Prarit Bhargava 2008-05-06 09:07:08 EDT
dbyrne, could you attach the console log output to this BZ?

Thanks,

P.

Note You need to log in before you can comment on or make changes to this bug.